com.verisign.epp.codec.registry

## Class EPPRegistryCustomData

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryCustomData

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryCustomData
      extends java.lang.Object
      implements EPPCodecComponent

  Represents custom data using key/value pairs. The <registry:customeData> element contains the following child elements:
  - <registry:value> - one or more elements with a required "key" attribute, which defines the key for the value. Use `getKeyValues()` and `setKeyValues(List)` to get and set the elements. Use `addKeyValue(EPPRegistryKeyValue)` to add one key/value pair to existing `List`.
  See Also:
    `EPPRegistryDomain`, `EPPRegistryHost`, `EPPRegistryContact`, `EPPRegistryKeyValue`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_NAME` XML Element Name of `EPPRegistryCustomData` root element.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryCustomData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKeyValue(EPPRegistryKeyValue keyValue)` Add one key/value pair to existing key/value pairs.
    `java.lang.Object` | `clone()` Clone `EPPRegistryCustomData`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPRegistryCustomData` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPRegistryCustomData` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryCustomData` compare.
    `java.util.List` | `getKeyValues()` Get the custom key/value pairs.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setKeyValues(java.util.List keyValues)` Set the custom key/value pairs.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML Element Name of `EPPRegistryCustomData` root element.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryCustomData

          public EPPRegistryCustomData()

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPRegistryCustomData` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPRegistryCustomData` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPRegistryCustomData` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPRegistryCustomData` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPRegistryCustomData` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryCustomData`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryCustomData`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryCustomData` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryCustomData` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getKeyValues

          public java.util.List getKeyValues()

      Get the custom key/value pairs.
      Returns:
        `List` of key/value pair, instance of `EPPRegistryKeyValue`

    - #### setKeyValues

          public void setKeyValues(java.util.List keyValues)

      Set the custom key/value pairs.
      Parameters:
        `keyValues` - `List` of key/value pair, instance of `EPPRegistryKeyValue`

    - #### addKeyValue

          public void addKeyValue(EPPRegistryKeyValue keyValue)

      Add one key/value pair to existing key/value pairs.
      Parameters:
        `keyValue` - key/value pair

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.